summaryrefslogtreecommitdiff
path: root/dahdi.init
diff options
context:
space:
mode:
authorShaun Ruffell <sruffell@digium.com>2008-07-07 21:10:58 +0000
committerShaun Ruffell <sruffell@digium.com>2008-07-07 21:10:58 +0000
commit23bc24e215ce8d6759595e5c3ae65785004739dd (patch)
tree12ff77f80027979341bb0547c5488ac3ef05db64 /dahdi.init
parent170b438b2360dd17bbb56c3ba9cfb468ee53bbb1 (diff)
Add commented out module names in init.conf and update the init script to
report when the MODULES parameter is empty at dahdi start. git-svn-id: http://svn.asterisk.org/svn/dahdi/tools/trunk@4564 a0bf4364-ded3-4de4-8d8a-66a801d63aff
Diffstat (limited to 'dahdi.init')
-rwxr-xr-xdahdi.init6
1 files changed, 6 insertions, 0 deletions
diff --git a/dahdi.init b/dahdi.init
index 8d290bf..5d73bbc 100755
--- a/dahdi.init
+++ b/dahdi.init
@@ -149,6 +149,12 @@ RETVAL=0
case "$1" in
start)
# Load drivers
+ if [ -z $MODULES ]; then
+ echo "There aren't any DAHDI hardware modules specified to "
+ echo "load. Please update /etc/dahdi/init.conf in order to "
+ echo "specify the modules to load."
+ exit 1
+ fi
echo -n "Loading DAHDI hardware modules:"
for x in $MODULES; do
eval localARGS="\$${x}_ARGS"